import pygame
import data
import vector

class projectionBullet(pygame.sprite.Sprite):
    def __init__(self, start, end):
        pygame.sprite.Sprite.__init__(self)
        
        self.start = vector.vec2d(start.x, start.y)
        self.end = end
        
        self.image = data.loadimage('bullet')
        self.rect = self.image.get_rect()
        self.rect.centerx = start.x
        self.rect.centery = start.y
        
        self.vector = vector.vec2d(start.x, start.y)
        self.range = 0.0
        self.velocity = 1000.0
        
    def update(self, elapsed):
        self.vector = self.start.interpolate_to(self.end, self.range)
        
        self.rect.centerx = int(self.vector.x)
        self.rect.centery = int(self.vector.y)
        
        percent = elapsed / self.velocity
        self.range += percent
        