import pygame
import data
import random

class soulWall(pygame.sprite.Sprite):
    def __init__(self, pos):
        pygame.sprite.Sprite.__init__(self)
        
        self.image = pygame.Surface((32, 448))
        
        self.pos = pygame.Rect(pos, 0, 32, 448)
        self.rect = self.image.get_rect()
        self.rect.left = pos
        self.rect.bottom = 448
        self.drawSpeed = 500
        self.lastdraw = 0
        
    def update(self, camerax, elapsed):
        self.rect.left = self.pos.left - camerax
        
        self.lastdraw += elapsed
        
        if self.lastdraw > self.drawSpeed:
            r = random.randint(0, 255)
            g = random.randint(0, 255)
            b = random.randint(0, 255)
            self.image.fill((r,g,b))
            self.lastdraw = 0
        