import entity
import soul

UP = 1
LEFT = 2
DOWN = 3
RIGHT = 4

class enemy(entity.entity):
    def __init__(self, pos, image, camerax, group):
        entity.entity.__init__(self, pos, image, camerax)
        self.direction = LEFT
        self.hvelocity = 1
        self.soulGroup = group
        self.damage = 15
        self.health = 50
        
    def update(self, camerax):
        entity.entity.update(self)
        
        self.rect.left = self.pos.left - camerax
        
    def moveRight(self):
        self.pos.left += self.hvelocity
        
    def moveLeft(self):
        self.pos.left -= self.hvelocity
        
        
    def blocked(self):
        if self.direction == LEFT:
            self.direction = RIGHT
        else:
            self.direction = LEFT
            
    def kill(self, level):
        s = soul.soul(self.soulGroup, level)
        
        entity.entity.kill(self)
        
    def hit(self, damage, level):
        self.health -= damage
        
        if self.health <= 0:
            self.kill(level)